# Proxy Authentication

Follow these steps to enable and configure proxy authentication for 9Proxy on Linux.

## 1. Start 9Proxy

Run the following command to start 9Proxy:

```
systemctl start 9proxyd
```

To make 9Proxy start automatically on system boot, run:

```
systemctl enable 9proxyd
```

If this command is executed, you won't need to manually start 9Proxy each time.

## 2. Sign In to Your Account

Follow the instructions here to sign in.

## 3. Configure Proxy Authentication

To set up Authentication for your proxies, use the following command:

```
9proxy setting --basic_auth --proxy_password [password] --proxy_username [username]
```

* \[password] : your desired proxy password
* \[username] : your desired proxy username


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.9proxy.com/getting-started/residential-proxy-by-ips/for-linux/proxy-authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
